<template>
  <div class="breadcrumbs">
    <div class="breadcrumbs__list">
      <nuxt-link
        v-for="({key, icon, noLabel, url}, index) in breadcrumbs"
        :key="key"
        :to="url"
        class="breadcrumbs__bc bc"
        :class="{
          'bc--active': index === breadcrumbs.length - 1
        }"
      >
        <div
          v-if="icon"
          class="bc__icon"
        >
          <Icon
            :type="icon"
            size="md"
          />
        </div>
        <div
          v-if="!noLabel"
          class="bc__label"
        >
          {{ $t(`breadcrumbs.${key}`) }}
        </div>
        <div
          v-if="index < breadcrumbs.length - 1"
          class="bc__arrow"
        >
          <Icon
            type="arrowRight"
            size="xxs"
          />
        </div>
      </nuxt-link>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import Icon from './Icon';

export default {
  name: 'Breadcrumbs',
  components: { Icon },
  computed: {
    ...mapGetters({
      breadcrumbs: 'common/breadcrumbs',
    }),
  },
};
</script>

<style lang="scss">
  .breadcrumbs {
    &__list {
      display: flex;
      align-items: center;
      margin: 0 -3px;
    }

    &__bc {
      margin: 0 3px;
    }
  }

  .bc {
    display: flex;
    align-items: center;

    font-size: 12px;
    font-weight: 500;

    cursor: pointer;

    &__arrow {
      margin-left: 6px;
    }

    &--active {
      opacity: .6;

      cursor: default;
    }
  }
</style>
